


from Anapass.TModule import *
from Anapass import Aging
import inspect

def TEDMode_Freq_ON_DutX(device, dutIdx, HZ, dbgTitle) :
    
    print()
    print("[%s] Enter " % (dbgTitle))

    frameRate = device.ANA670X_GetFrameRate(dutIdx)
    if frameRate != HZ :
        if HZ==30 :
            #VEH, VAINT 측정을 위하여 PWR_MODE 설정을 1로 변경 필요,  6A72h → 0x48로 설정 변경
            device.WREG0_15(dutIdx, 0xB0, 0x72) 
            device.WREG0_15(dutIdx, 0x6A, 0x48)  
        elif HZ==120:
            #Normal모드에서 VBOT값 흔들림 방지를 위해 6A72h → 0x40로 설정 변경
            device.WREG0_15(dutIdx, 0xB0, 0x72) 
            device.WREG0_15(dutIdx, 0x6A, 0x40)  
        elif HZ==60:
            #Normal모드에서 VBOT값 흔들림 방지를 위해 6A72h → 0x40로 설정 변경
            device.WREG0_15(dutIdx, 0xB0, 0x72) 
            device.WREG0_15(dutIdx, 0x6A, 0x40)  
    
        while True :
            device.ANA670X_SetFrameRate(dutIdx, HZ) #device.WREG0_15(dutIdx, 0x53, 0x24)  #HLPM ON
            frameRate = device.ANA670X_GetFrameRate(dutIdx)
            print("[%s] CurHz=%d" % (dbgTitle, frameRate))
            if frameRate == HZ :
                break

        print("[%s] Leave Hz=%d" % (dbgTitle, frameRate))
    else :
        print("[%s] Skip Hz=%d" % (dbgTitle, frameRate))

    print()

def TEDMode_Freq_ON_AllDut(device, HZ, dbgTitle) :
    
    print()
    print("[%s] Enter " % (dbgTitle))

    dutIdx0 = 0
    dutIdx1 = 1
    dutIdxAll = device.SysGetDutIndexAllDeviceValue()

    frameRate0 = device.ANA670X_GetFrameRate(dutIdx0)
    frameRate1 = device.ANA670X_GetFrameRate(dutIdx1)
    if (frameRate0 != HZ) or (frameRate1 != HZ) :
        
        if HZ==30 :
            #VEH, VAINT 측정을 위하여 PWR_MODE 설정을 1로 변경 필요,  6A72h → 0x48로 설정 변경
            device.WREG0_15(dutIdxAll, 0xB0, 0x72) 
            device.WREG0_15(dutIdxAll, 0x6A, 0x48)  
        elif HZ==120:
            #Normal모드에서 VBOT값 흔들림 방지를 위해 6A72h → 0x40로 설정 변경
            device.WREG0_15(dutIdxAll, 0xB0, 0x72) 
            device.WREG0_15(dutIdxAll, 0x6A, 0x40)  
        elif HZ==60:
            #Normal모드에서 VBOT값 흔들림 방지를 위해 6A72h → 0x40로 설정 변경
            device.WREG0_15(dutIdxAll, 0xB0, 0x72) 
            device.WREG0_15(dutIdxAll, 0x6A, 0x40)  

        while True :
            device.ANA670X_SetFrameRate(dutIdxAll, HZ) #device.WREG0_15(dutIdx, 0x53, 0x24)  #HLPM ON
            frameRate0 = device.ANA670X_GetFrameRate(dutIdx0)
            frameRate1 = device.ANA670X_GetFrameRate(dutIdx1)
            print("[%s] CurHz=(%d %d)" % (dbgTitle, frameRate0, frameRate1))
            if (frameRate0 == HZ) and  (frameRate1 == HZ) :
                break

        print("[%s] Leave Hz=(%d %d)" % (dbgTitle, frameRate0, frameRate1))
    else :
        print("[%s] Skip Hz=(%d %d)" % (dbgTitle, frameRate0, frameRate1))

    print()


def TEDMode_HLPM_30Hz_ON(device, dutIdx) :
    HZ=30
    TEDMode_Freq_ON_AllDut(device, HZ, "[TEDMode_HLPM_30Hz_ON]")
    
    

def TEDMode_HS1_120Hz(device, dutIdx) :
    HZ=120
    TEDMode_Freq_ON_AllDut(device, HZ, "[TEDMode_HS1_120Hz]")
    

def TEDMode_Normal_60Hz(device, dutIdx) :
    HZ=60
    TEDMode_Freq_ON_AllDut(device, HZ, "[TEDMode_Normal_60Hz]")


def TCBegin(device, dutIdx) :

    if platform.system()=="Windows" : 
        delayTick=0
    else :
        delayTick=2000

    #Blank On/Off
    device.DD_FB_blank(dutIdx, 1)         #echo 1 > /sys/class/graphics/fb0/blank;
    device.SysDelay(delayTick)
    device.DD_FB_blank(dutIdx, 0)         #echo 0 > /sys/class/graphics/fb0/blank;
    device.SysDelay(delayTick)
        
    # Blank Off 시 , 120Hz, source cal 하므로 설정할 필요없다. 
    #120Hz
    #TEDMode_HS1_120Hz(device, dutIdx)

    #Source Cal
    #device.DD_DSIM_source_cal(dutIdx, 1) #echo 1 > /sys/devices/platform/12870000.dsim/source_cal

    #Write Black
    device.PatternConnect()
    device.PatternPaint(0, 0, 0, 0);
    device.PatternUpdateScreen()
    device.SysDelay(500)

    # Screen Verify
    device.PatternScreenVerify(0, 0, 0)


def TCEnd(device, dutIdx) :

    if platform.system()=="Windows" : 
        delayTick=0
    else :
        delayTick=2000

    #Write Black
    device.PatternDisconnect()
    
    #120Hz  # Blank Off 시 , 120Hz, source cal 하므로 설정할 필요없다. 
    #TEDMode_HS1_120Hz(device, dutIdx)

    #Blank On/Off
    device.DD_FB_blank(dutIdx, 1)         #echo 1 > /sys/class/graphics/fb0/blank;
    device.SysDelay(delayTick)
    device.DD_FB_blank(dutIdx, 0)         #echo 0 > /sys/class/graphics/fb0/blank;
    device.SysDelay(delayTick)
        
    
def VEH_BML_Setting(device, dutIdx) :
    #VEH, BML 측정을 위하여 PWR_MODE 설정을 1로 변경 필요,  6A72h → 0x48로 설정 변경
    device.WREG0_15(dutIdx, 0xB0, 0x72) 
    device.WREG0_15(dutIdx, 0x6A, 0x48)  
    
    #VGLL, VGHH, VAINT, VEH, BML 측정을 위한 LDO Enable, F43Dh, F43Eh → 0x00으로 설정 변경
    device.WREG0_15(dutIdx, 0xB0, 0x3D) 
    device.WREG0_15(dutIdx, 0xF4, 0x00)  

    device.WREG0_15(dutIdx, 0xB0, 0x3E) 
    device.WREG0_15(dutIdx, 0xF4, 0x00)  
